<?PHP
session_start();
if ($_SESSION['estado'] != "ON")
		{
		?>
		<script>
			parent.location.href = '../index.php';
		</script>
		<? 
		exit();
		}
$id_empresa = $_SESSION['ss_empresa'];
$id_user = $_SESSION['ss_user'];

include("../conex.php");



$esql = "UPDATE empresa SET certificado_digital='$nombre_certificado', fecha_certificado_vence='$fecha_certificado_vence', clave_certificado_digital='$clave_certificado' WHERE id = $id_empresa";
   
	$consulta = mysql_query($esql,$enlace);


if (copy($dir.$name_reserva, $dir_destino.$nombre_certificado)) 
   {
   echo 'Se ha copiado el archivo correctamente';
   }
else 
  {
   echo 'Se produjo un error al copiar el fichero';
  }
 
 //esta linea ejecuta rutina de certificado -->>>
 $nombre_corto=str_replace(".p12","",$nombre_certificado);
   //$nombre_corto=str_replace(".pfx","",$nombre_certificado);
 echo exec("sh cert.sh $nombre_corto $clave_certificado $sitio_empresa");
 
 
 /*  falta rutina de cambios.   .p12 a pfx
      copiar  $nombre_certificado  a $nombre_certificado
	  
 openssl pkcs12 -in $nombre_certificado.pfx -nocerts -out key.pem -nodes    pide clave   $clave_certificado

Exportar certificado:
openssl pkcs12 -in $nombre_certificado.pfx -nokeys -out cer.pem        pide clave   $clave_certificado

Exportar private key sin passphrase:
       openssl rsa -in key.pem -out server.key

*/
 
 
 
 
 ?>
 
 
 
 
 
 
 
 <table width="640" border="0" align="center" cellpadding="0" cellspacing="0">
	<tr>
		<td width="10%" align="center">	<input type="button" name="Salir" value="Salir" onClick="fun_salir();"></td>
	</tr>
</table>




 <script>
function fun_salir()
	{
	parent.location.href = 'index.php';		
	}
</script>

